Welcome

Welcome to Sonometrics Corporation trouble shooting help. The following links will help you find the answers to your questions and problem solutions. Please select from the following options:

  1. Troubleshooting Acquisition (SonoLAB)
  2. Acquisition: How Do I. . . .

PLEASE NOTE: Most troubleshooting requires user interaction with the sonomicrometer system. Please be sure the system is on and the appropriate software program is running.


Acquisition

Collecting data using the Sonometrics sonomicrometer system uses on the SonoLAB software package. Please select what type of problem you are currently having from the following list.

  1. Crystal channels (TRX)
  2. Analog channels (ADC)
  3. DAC Channels
  4. Data Convert
  5. General SonoLAB Software Problem
  6. Suggested Settings in SonoLAB


SonoLAB Settings

The following may act as a guideline for optimal SonoLAB settings.

Option | Suggested Setting.
Sampling Rate | 2x heart rate.
Transmit Pulse | 2mm crystals - 250 to 350ns. 1mm crystals – 200 to 250ns. 0.75mm crystals – 200 to 250ns.
Display Time | Personal preference.
Trace Spacing | Personal preference *note: be sure scale settings will allow the smallest distance change to be seen.
Inhibit Delay | Must be smaller than closest possible distance between two crystals but no higher than 10mm.


General SonoLAB Software Problem

General SonoLAB problems such as software crashes may occur with SonoLAB. If the software does crash, please note the error message and restart the program.

If problem persists, please note the process to crash the software and contact Sonometrics Corporation technical support at Support@sonometrics.com.


Crystal channels

Many issues may affect the quality of crystal traces. The following will help to identify possible interference.

Please select from the follow what best describes the problems:

  1. No crystal traces are seen on the screen.
  2. Some Crystal Traces Missing .


Noisy Crystal Traces

Noise in traces can take numerous forms and caused by both external signals, application circumstances, software settings and crystal properties themselves.

Note*: please check reciprocal traces also. If reverse trace is clear, bad traces may be ignored and second trace used.

Please select they type of noise seen:

  1. Snow of all colours can be seen on all traces [image] .

  2. One or more crystal combinations show mostly snow.

  3. Trace seems fragmented .


Snow On All Traces

If all traces show snow across the screen there may be something affecting the crystals. Please select from the following that pertain to the experiment:

  1. Snow has a pattern [image] .


Random Snow

Random snow is most likely caused by the crystals themselves interacting with one another. The most common reason for random noise is a high sampling rate with many crystals used at once.

To reduce noise the user may:

  1. Lower sampling rate (best suggestion).
  2. Move crystals farther apart.
  3. Lower transmit pulse. (No lower than 150ns)

If none of the above suggestions remove noise, go to Pattern Snow [image] .


Pattern Snow

Many times a definite pattern can be seen in the noise either a diagonal pattern or a vertical pattern. In both cases the snow is caused by an external signal interfering with crystal communications. Please select from the following:


Other Ultrasonic Equipment in Use

If other ultrasonic equipment is in use, the signals may interfere with one another. Common examples of such devices are:

  1. Flow probes: If in close contact to the sonomicrometry crystals, flow probes using a low frequency ultrasound will interfere with crystal communication. If Transonic flow probes are in use, interference may be minimized using Sonometrics Synchronization Module.
  2. Echocardiograph Machine: Echocardiographs use similar frequency ultrasound to that of the crystals. The user may see interference on both the echo signal and the sonomicrometer system. Staggered use between echo and crystal samples are suggested to eliminate the noise.


No Other Ultrasonic Equipment In Use

Other electrical fields may influence the crystal communications. Electrical fields generated by such equipment as treadmills, heating pads or even fluorescent lights may cause pattern noise to be seen on the display screen.

For these cases Sonometrics has included a grounding cable with systems. This single clip cable may be plugged into the back of the TRX box and attached ground the animal. Suggested grounding sights include:

Metal Table

Metal Chest Spreader (if used)

Attachment directly to animal

Treadmill

If noise is not reduced, please test crystals in water bath [image] to further rule out limitations.


Snow On Individual Crystals

Noise on one or more crystal combinations may be caused by a failure of crystals to communicate. Perform the following test in a water bath [image] if possible to better determine the noise:

  1. Select one crystal pair, i.e. T1-R2 and T2-R1 and display both traces on the screen.
  2. Fine tune sensitivity adjustment until the best possible signal is seen.

  3. Select from the following:

      1. Both combinations of transmitter and receiver are very noisy in water bath.

      2. One combination is noisy but other is clear in water bath. i.e. T1-R2 is clear but T2-R1 is noisy.

      3. Both combinations are clear in water bath .

Note*: if crystals tested properly before implantation and cannot be removed for re-testing, please go to Noise Due to Placement Test [image] . It is strongly recommended however that the crystals be tested in a water bath if at all possible.


Failing Crystal

Though crystal will always transmit a signal, the receiving properties of the crystal may degrade with time. Please test for the following:

  1. Test crystal in water bath with multiple crystals. If fine-tuning sensitivity controls cannot clean the signal, the crystal should be discarded or labeled as bad.

  2. Examine the crystal wire for any breaks or cracks in the insulation coating. If so crystal should be discarded. Note*: Breaks may be too small for the eye to see.

  3. If extension cables are in use, please select the type from the following:


Alligator Clips

Alligator clips give the advantage of a very small end for chronic implantation. If the crystal signals however cannot be seen it is possible there is a problem with the connector or the crystal itself. Please check the following:

  1. Inspect the flat contact points of the alligator clips. Notice any areas of rust or build up substances. Remove these with fine sand paper.

  2. From the bare crystal wire end, ensure the insulation coating on the crystal wires has been stripped. The insulation may be clear and if crystal wires have been cut, it is possible the insulation has not been removed. The wire is multi stranded and should be visible as strands that may be separated. Crystals delivered from Sonometrics Corporation with out connectors will be tinned on the ends.

  3. If multiple cables are in use, exchange non-functioning crystal extension cable with one that is known to work. If the crystal does function with the new cable discard the faulty cable. If crystal does not function with this cable, discard crystal.

  4. To ensure a good connection between crystal wires and alligator clip, wrap wires around the alligator clip and back thought the clip itself. Tinning of wires is strongly recommended also.


C-Grid Connector

The C-Grid connectors on extension cables offer a higher signal quality and firm connection. Though the connectors are slightly larger than bare wires, the recommended connectors are c-grid when possible. To test the cables please check the following:

  1. Examine the cable itself for any breaks or nicks in the outer coating.

  2. Check the connector. The female end of the connector should have 2 gold pins visible. If pins are bent or missing the connector will need to be replaced.

  3. If multiple cables or a multi lead cable is used, exchange non-functioning crystal extension cable with one that is known to work. If the crystal does function with the new cable discard the faulty cable. If crystal does not function with this cable, discard crystal

If cable is noticeably damaged, please contact Sonometrics regarding repair.


Application Induced Noise

If all crystals show no noise in a water bath, it is safe to assume the crystals are good the application is inducing the noise. Please assess the experiment set up for the following:

  1. Fine tune receiving crystal on TRX box.

  2. Ensure all attached crystals are securely attached to tissue or embedded within the tissue.

  3. If crystals are placed on the surface of the muscle, please wet surface with water or echo gel.

  4. Look to see if other pieces of equipment have come between crystals. i.e. catheters, EMG leads etc.

  5. Check for any air gaps that may move between crystal transmission paths.

  6. Ground the animal using the grounding lead attached to the TRX box.

  7. Test different crystal combinations. If crystal shows snow when receiving all other crystal signals, replace crystal. If crystal trace is clean on other combinations, reposition the crystal.

  8. Ensure the crystals are not orientated improperly. Although Sonometrics crystals are omni directional, receiving properties may be hindered if crystal wires face one another.

If problem persists please contact Sonometrics Corporation customer support.


Noise In Water Bath

In a water bath the crystals are in an optimal environment. If both crystals are placed in a water bath are noise on both traces are seen please perform the following test:

  1. Ensure crystals are not touching the wall of the water container.
  2. Ensure the water container is plastic and at least 500ml in size.
  3. Ensure crystal heads are fully submerged in the water and introducers (plastic tubing on crystal wire) are removed from the water.
  4. Turn the sensitivity adjustment knobs on the front of the TRX box fully counterclockwise for all crystal channels. Then turn clockwise so screwdriver slit is straight up and down.

If crystal signal still contains noise, increase sensitivity to remove noise.

If noise is still present, replace one of the questionable crystals with a new or ‘good’ crystal. Repeat steps 1 through 5 and select from the following.


Questionable Environment

If traces show noise and crystals are known to be ‘good’ it is possible that other influences in the room are causing electrical noise to be read by the crystals. Please perform the following.

  1. Use a larger water bath.
  2. Reduce sampling rate.
  3. Ground water bath.

If noise still persists test with two new crystals to see if noise persists. If so please call Sonometrics Corporation for further tests. System repair may be required.


Pass Crystal Test

If crystals show clean signals in a water bath it is safe to assume the crystal is functioning. Please repeat the Individual Crystal Tests for other questionable crystals.

If all crystals test properly please implant crystals and reconnect with same settings. If the noise persists please go to Application Induced Noise [image] tests.


Bad Crystal

If a crystal cannot transmit a signal there must be a break in the wire. In these cases please check the following.

  1. Any obvious breaks in the wire.

  2. If crystal has standard stereo plug connector, unscrew and inspect solder connection between wires and the plug. If wires are not connected they will need to be soldered.

  3. If using extension cables, please select the type from the following list.

      1. Alligator clips on extension cables and crystal wires are bare.

      2. C-Grid connector with female end on extension cable and male end on crystal.

Note*: Crystals with breaks in the wire cannot be repaired. If the break in the crystal wire is far enough from the head of the crystal it is possible to solder the connector back on. Damaged wires at the head of the crystal are not repairable.


Fragmented Trace

Fragmented traces are usually the result of interrupted signals. Please attempt the following to remove noise:

  1. Inspect the transmission path between 2 crystals for any object such as bone, tendon, crystal wires or other devices.
  2. Wet the surface of the measurement tissue with water or echo gel.
  3. Ensure the crystals are securely attached to the muscle with the crystal head in constant contact with tissue.
  4. If alligator clip [image] extension cables are used, ensure a solid connection between cable and crystals.

If signal is not cleared, reposition crystal.


Level Shift

Level shifts are caused by receiving crystal triggering on more than one rising edge of the ultrasound wave. To remove level shifts please examine the area for the following:

  1. Increase sensitivity of receiving crystal (clockwise rotation).
  2. Wet surface of muscle tissue between crystals using water or echo gel.
  3. Ensure both crystals are securely in contact with the tissue.

If level shifts persist they may be removed with filtering during data processing.


Scalloped Trace

Scalloped traces are most commonly caused by improper Inhibit Delay Settings. Please lower Inhibit Delay setting to remove scalloped trace signal.

When Inhibit Delay is set to a proper level, the scalloped trace should become a continual trace.


Out of Phase with Analog Recordings

Q: What do I do if the recorded crystal signals are out of phase with other analog physiological recordings?

The only cause for a delay between the sonomicrometer signals and the a/d signals would be if the a/d signals are being delayed BEFORE they are going into the A/D inputs to our system. This would have the effect of delaying the a/d signals relative to the sono signals. If the sono signals are delayed relative to the analog signals, that is a condition that can not happen, and I would attribute that to an error in the design of the apparatus or the placement of transducers (ECG, EMG, etc).

There is no delay between when the hardware samples the a/d channels and when it samples the sono signals. All A/D channels are sampled at the exact same instant that crystal 1 transmits its ultrasound signal.

If you are filtering the analog signals before they are acquired by our system, perform the following test:

Record a data file that contains both sonomicrometer activity as well as analog signal activity. This would probably work best if done during an experiment. Next, by-pass the filters by changing the connections or switching the filters to a "no-filter" condition, and then record another data file.


No Crystal Traces

To properly test, please have a water bath to test the system and at least 2 new crystals available. The water bath should be plastic and approximately 1 liter in size.

Please check the front of the TRX box. In the upper left corner of the TRX box is a light. Is the light:


TRX Light Not On.

If no colour can be seen on the TRX box the power is not reaching the box. A power switch is located on the back of the TRX box. If this power switch is on also check the power supply cable.

If light does not turn on, please call Sonometrics Corporation, Support@sonometrics.com for repair.


Green TRX light.

If the TRX light is green but there are no crystal channels please ensure the following:

  1. Check system settings, such as sampling rate, inhibit delay, etc. For suggested settings please go to SonoLAB Settings [image] .

  2. Check crystal pairings to make sure appropriate crystals are paired. (Note*: a crystal cannot send and receive it’s own signal)

  3. Turn the sensitivity adjustments on the TRX box fully counterclockwise for all crystal channels. Then turn clockwise so screwdriver slit is straight up and down.


Traces are now visible.

If traces are visible on channels some fine-tuning of sensitivity may still be needed. Plug implanted crystals back into TRX box. If one or more crystal combination is still missing please go to Some crystal traces are missing.

If some or all traces show a large amount of noise, please see Noisy Crystal Traces .


Water Bath Test

Please place an equal number of crystals used in experiment into a large plastic water container and plug into the TRX box. View traces on screen when crystals in bath are moved. Please ensure the SonoLAB Settings [image] are appropriate.

Next adjust sensitivity knobs for optimal reception with slit turned vertically.

Select from the following:


Some Traces Seen In Water Bath

If only some crystal combinations are seen during testing in the water bath, please check the following.

  1. Ensure no crystals are touching the plastic container walls.

  2. All crystals are fully submerged in the water.

  3. Go to Option #2, Channel Set up menu from the main SonoLAB page. Notice if all crystal channels are set to On for both transmitting (red columns) and receiving (blue columns).

  4. From SonoLAB Main Menu, go to option #3, Data Display Screen 1 (All Channels vs. Time) from the main SonoLAB page. Notice the crystal pairings down the right side of the display screen. Make sure all pairs are appropriately set. i.e. R-01 T-02 is the bottom red trace.

Check the distance reading next to the missing crystal pairings and select from the following.


Distance Reading Very High

Very high distance measurements may be attributed to crystals not being able to communicate with one another. Please test the following:

  1. Adjust the sensitivity knobs on the front of the TRX box. Increase sensitivity by turning the control clockwise.

  2. Ensure the entire crystal is submerged in the water.

  3. Perform individual Crystal Test to determine if one or more crystals are faulty as follows:

        1. Select a crystal channel that is currently not transmitting or receiving a signal.

        2. Use the F1 and F2 keys to change all transmitter numbers to the selected channel. i.e. all tracings are set with crystal channel number one a T1.

        3. Fine-tune the crystal combinations with sensitivity adjustments to see a signal.

        4. Select from the following:


Distance Reading Too Small

If distance readings are too low it is likely the computer boards are not being detected. Please exit SonoLAB and restart the program allowing the full system diagnostic to run. Please go to Board Testing [image] and run appropriate tests to better discern the problem.

If SonoLAB is running in Demonstration Mode, this is another indication the boards are not functioning properly.


Distance Reading Close to Expected

If the distance measurement is close to the expected reading, please perform the following test:

  1. Lower the Trace Spacing value and watch the missing crystal pair. This will reset the vertical scale of the trace. If the amplitude of the distance change is quite low it is possible to flatten the signal.

  2. Determine the crystal pair in the water bath. Move the pair independently of the other crystals and see if a trace appears. Be sure the crystals are farther apart than the Inhibit Delay settings.

If traces are not visible, return to Noisy Crystal Traces [image] and evaluate selection.

Note*: If the amplitude change between crystals are quite high for some combinations but not for others, the user may set independent Trace Spacing using the F5 and F6 Keys. Move the * symbol between the pair to be changed and use F5 to lower the Trace Spacing or the F6 to raise the setting. The individual Trace Spacing cannot be set higher than the overall setting of the screen.


No Traces Seen In Water Bath

If not traces are seen in the water bath, please check the following:

  1. Ensure all crystals are fully submerged in water bath.

  2. Go to Option #2, Channel Set up Menu from the main SonoLAB page. Make sure all crystal channels are set to on for both transmitting (red columns) and receiving (blue columns).

  3. Go to Option #3, Data Display Screen 1 (All Channels vs. Time) from the main SonoLAB page. Notice the crystal pairings down the right side of the display screen. Make sure all pairs are appropriately set. I.e. R-01 T-02 is the bottom red trace.

  4. Check the distance reading next to the missing crystal pairings and select from the following.

    1. Distance is close to visual estimate.

    2. Distance measurement equals inhibit delay setting.

    3. Number is very small, i.e. -0.25.

    4. Number is very high, much higher than possible.


Functioning Crystal

If crystal test show that a crystal can transmit to at least one other crystal it can be concluded the transmitting properties of the crystal are still in tact. Though the crystal is able to transmit, the receiving properties my have degraded.

To test crystal receiving properties, alter the transmitter number to a receiver. View trace for this crystals with at least two other crystals as transmitter. If signal quality is clean the crystal is ‘good’. If trace quality is not clean, the crystal may be ‘bad’ and should be discarded or tagged to help identify any future problems that may arise.

Though traces may be noisy the crystal may still be ‘good’. For more information go to Noisy Crystal Traces [image] .


Some Crystal Traces Missing

Missing crystal traces may be attributed to many things. Please place the crystals into a Water Bath [image] to test properties.

If crystals are already implanted and previously tested and passed in a water bath before implantation, please got to Traces Seen in Water Bath [image] .


Distance Reading Equals Inhibit Delay

If the distance readings are mimicking the Inhibit Delay, the distance will be slightly higher than the setting. In these cases, please perform the following test viewing the distance readings.

  1. Check to make sure all crystals are connected to TRX box.

  2. Reset sensitivity adjustment s fully clockwise and retract to center position.

  3. Turn the TRX box off and note if any changes to the distance measurements. Select from the following:


Distance Changed When TRX Box Turned On and Off

If the distance reading changes when the TRX box is turned off and on, the computer is detecting the TRX box. It may be that the crystal distance are very close to the inhibit delay. To test:

  1. Watching the distance numbers lower the inhibit delay.

  2. The distance numbers should follow the inhibit delay only so far and then remain constant.

  3. Check the signal quality of traces. Trace Spacing may need to be reset.

  4. Check sensitivity adjustments. Ensure they are not turned fully clockwise or counter clockwise but are set in a central position.


No Distance Changes when TRX Box Turned On and Off

If no distance changes are seen when the TRX box it turned on and off it is likely the computer is not detecting the TRX box. Please examine the following:

  1. Check all sensitivity adjustments to make sure they are not turned fully clockwise. If so reset sensitivity knob.

  2. Make sure the end labeled TRX Cable (Computer) is plugged into the computer and the TRX Cable (Transceiver) end should be plugged into TRX box.

  3. Restart SonoLAB and allow the full system diagnostics to run. Check to see if any boards fail. If so please go to Board Failure [image] for testing and instructions.

If problem is still not resolved please contact Sonometrics Corporation at support@sonometrics.com.


Red TRX light

If the red status light on the TRX box is red there may be a communication problem between TRX box and computer. Please ensure the following:

  1. Unplug the grey TRX cable from the TRX box and reconnect being sure the proper end labeled TRX Cable (Transceiver box) is used.

  2. Repeat step 1 for the connection to computer.

Select from the following:


TRX Light Red-Board Test

If still no signals:

  1. Exit SonoLAB.
  2. Restart SonoLAB and watch the Checking for Sonometrics Hardware test page for any Fail or Pass Status. (If any Fail messages come up, please note line number and board tested)
  3. Select from the following:


Board Test Pass-TRX Box Still Red

If a Pass status was given to all TRX boards during System Diagnostics please check the following.

  1. Examine TRX cable for any noticeable signs of damage.

  2. Check the gold pins of the TRX cable for any bent or missing pins.

  3. Ensure the TRX cable is securely connected to computer and TRX box. Cable ends are specified for Computer or TRX box. Please make sure appropriate cable end is used.

If cable seems intact and connections are correct please contact Sonometrics Corporation support line at support@sonometrics.com. System repairs may be needed.


Board Test Fail

If the board test fails during SonoLAB Start up, a message will be shown to identify the board that failed. This is commonly caused by a loose ribbon cable a bad connection between the boards. To secure the connection please perform the following steps:

  1. Fully power down the computer and remove the case by removing the three screws at the back.
  2. There are three sonomicrometer boards (four if sonomicrometer has 16 plus crystal channels) located in the computer connected by two ribbon cables.
  3. Remove the ribbon cables carefully from the boards. Beware of the gold pin connectors as the pins are easily bent or broken.
  4. Remove the boards individually from the computer.
  5. Reinstall boards by pushing on boards evenly with constant pressure.
  6. Reconnect the ribbon cables but do not place cover back on computer at this point.
  7. Restart the computer and SonoLAB. Watch the initial diagnostic for any board failures.

Please select from the following


Loose Boards

Once SonoLAB restarts please replace cover on computer and replace screws. This should solve the problems of missing channels. If not, please return to beginning of testing.


Board Failure

If SonoLAB continues to give board failure messages there may be a hardware problem within the system and may require repair by Sonometrics.

Please record the line number and failure message displayed on the screen. Contact technical support at support@sonometrics.com to arrange for possible repair.


Analog channels

Analog channels collect signals from other equipment to be saved with the data file. Analog signals collected in SonoLAB may be viewed along with the sonomicrometer crystal information.

Before continuing, please verify the following:

  1. The A/D Signal (A/D) Cable (multi lead twisted black cable) is firmly connected to the female 25 pin db connector labeled A/D Signal Cable on the rear panel of the PC.
  2. Ensure the BNC connector of the A/D Signal (A/D) Cable is attached to the Analog Output port of the analog equipment to be monitored.
  3. Confirm power of analog system(s) is/are on.

If problem persists, select which best describes the situation:


Testing Computer Boards

If no signal:

  1. Exit SonoLAB.
  2. Restart SonoLAB and watch the Checking for Sonometrics Hardware test page for Fail or Pass Status. (If any Fail messages come up, please note line number and board tested)
  3. Select from the following:


Multiple Analog Channels

Please follow these steps to better assess the problem.


Missing Analog Channels

If one or more Analog channels are working, please perform the following to test.

  1. Make a note of working Analog channel number and non-working channel.
  2. For the non-working channel verify the cable number matches number on SonoLAB screen. (If the numbers do not match, change to appropriate ADC cable and view signal)
  3. From the SonoLAB main menu, select #5 Analog Channel Set up Menu.
  4. For the non-functioning channel, set the Offset to 0 and Slope to 1. View the channel again. Continue if no signal.
  5. Connect the cable from non-working channel to known working analog signal source.
  6. Please select the results from the following:


Damaged ADC Cable

Since this equipment was previously viewing in SonoLAB, the ADC cable must be tested. If other ADC channels are functioning and not currently in use, change cables to working channel and test cable at more convenient time.

To test ADC Cable:

  1. Got to option # 5 Analog Channel Set up Menu from the main menu. Ensure the offset is 0, slope is 1 and signal is set to Auto Scale.

  2. Return to main display page (option 3 from Main Menu)

  3. While holding the ADC cable corresponding to the non-working channel, ground center pin using finger or forceps touching both center pin and surrounding metal.

  4. Move finger over center pin and watch signal on screen for more than one screen pass for any change in signal. If forceps are used, alternate between grasping center pin and releasing.

  5. Watching the display screen:


Cable Repair

Please contact Sonometrics Corporation for further testing and possible cable repair options.

Further testing may still be required to fully determine problem.


Analog Equipment Testing

Please perform the following steps to ensure proper connection to analog channels.

  1. Signal output from analog equipment is between –10 and +10 volts.
  2. Ensure the ADC Input cable is connected to Analog Output port.
  3. Inspect connection between ADC cable and analog equipment for any lose connections.
  4. Inspect analog system and all connections for functionality.

If problems persist, contact Sonometrics Corporation. support@sonometrics.com.


Noisy Analog Signals

If noise is seen on an analog channel please check for the following:

  1. Ensure the range of analog signal is between –10 and +10 volts.
  2. Check scale settings in the SonoLAB window to ensure the display is not causing the effect.
  3. From the Analog Channel Set up Menu (option #5 from Main Menu) press F2 to view analog signal. If the corresponding yellow line, is barely moving or overlying the green centerline the analog signal may need to be amplified.
  4. Save a sample file and open it in SonoVIEW. Check status of the trace when displayed. If signal appears, please continue with testing or begin experiment.

Most noisy traces are the result of low voltage signals. For a full listing of amplifiers from Sonometrics Corporation, please contact our sales department at sales@sonometrics.com.


DAC Channels

Signals may be sent out to another acquisition system using the DAC option. This is done through the DAC. Please select from the following.


DAC Reading Lower Than Sonomicrometer

If the distance measurement read into other acquisition system seems lower than expected please check the following:

  1. Check calibration values. If DAC signals were not calibrated with other acquisition system please do so now.

  2. Check distance reading on sonomicrometer traces and select from the following:

    1. Distance is between 0mm and 60mm .


Distance Between 0mm and 60mm

If crystal signals are between 0mm and 60mm on sonomicrometer system but are different on other acquisition system, please recalibrate the systems.


Between 60mm and 120mm.

If crystal distances range higher than 60mm the DAC settings may need to be changed. Please perform the following to correct the problem:

  1. From the SonoLAB Main Menu, select #6 Other Options
  2. Select #2 Configure DAC Output.
  3. Select #6, Set the DAC output range.
  4. Select the appropriate setting from the list of maximum possible crystal distances.
  5. View signals again on other acquisition system. If problem persists try higher setting.


Between 120mm and 240mm.

If crystal distances range higher than 120mm the DAC settings may need to be changed. Please perform the following to correct the problem:

  1. On the SonoLAB Main Menu, select #6 Other Options
  2. Select #2 Configuration DAC Output.
  3. Select #6, Set the DAC output range.
  4. Select the appropriate setting from the list the maximum possible crystal distances.
  5. View signals again on other acquisition system. If problem persists try higher setting.


Scalloped DAC Channel

If traces are broken on other acquisition system please check the following:

  1. Check crystal combinations on sonomicrometer screen. If crystal combinations there are also scalloped, please go to Scalloped Trace .

  2. Check distance reading of scalloped crystal pair on the right side of the SonoLAB screen. Is the maximum value:


Between 0 and 60mm.

Please recheck the Transmitter and Receiver numbers entered into DAC configuration screen. Make sure the signal viewed on SonoLAB is the proper pair being sent from the system. This scalloping is most likely caused by the crystals themselves.


Missing DAC Signals

Crystal signals sent to another acquisition system are sent as a voltage between 0 and 8 volts. Please check the following before proceeding:

  1. Exit SonoLAB and let board test run to be sure all boards are functioning. If any board tests fail please go to Board Test Fail .
  2. From the SonoLAB Main Menu, select option #7 Technical Help.
  3. Make sure the DAC Configuration is Enabled. This can be found on the 6th line of the Program Configuration list. If DAC reads Disabled , please go here [image] .
  4. From the SonoLAB Main Menu, select #6, Other Options.
  5. Go to option #2, Configure DAC Output
  6. Review the Current set up of crystal channels. Ensure the proper pairs are listed for the DAC channels in use.
  7. Go back to main SonoLAB display screen (Option #3 from Main Menu) and ensure crystal signals are being displayed.
  8. Check all cable connections between sonomicrometer system and other acquisition system.
  9. Ensure proper DAC cable numbers are used.

If signals are still missing, please go to DAC Testing .


DAC Not Installed

If the DAC is listed as Disabled, either the DAC option was not purchased or improper software has been installed on the computer. If a DAC cable is included with the system, please check the original packing list or purchase order.

If new software is needed, please contact Sonometrics technical support staff at support@Sonometrics.com with customer number and information of the problem.


DAC Testing

If traces corresponding the crystal combinations specified to DAC output are seen on the display screen please test for the following:

  1. To ensure the DAC cable is properly functioning, please disconnect DAC channel number 1 from other acquisition system.

  2. Attach non-functioning DAC channel to ADC (Analog input) cable number 1 (adapter may be required).

  3. Go to option #2 System Configuration Menu from the Main SonoLAB screen and ensure ADC channel #1 is set to S/D (Save and Display).

  4. Go back to SonoLAB Main Men and select #6 Other Options.

  5. Select #2 Configure DAC Output.

  6. Set transmitter and receiver number for DAC channel to a known functioning crystal pair.

  7. Return to option #3 Main Display screen, view signal and select from the following:


DAC Channel Working

Since the signal can be fed back into the sonomicrometer system we can conclude the DAC is working. Please perform the following test:

  1. Reconnect the DAC cable to appropriate Input connection of other acquisition system.
  2. Rescale settings on other acquisition system if applicable

If problem persists please contact manufacturer of other acquisition system.


DAC Cable Not Working

If no signal can be seen on sonomicrometer screen, please repeat DAC Test DAC Testing using another DAC Channel.

If one or all cables fail, repairs to cable and boards may be needed. Please exit from SonoLAB and restart the software paying close attention to the system diagnostics. If any boards fail please go to Board Test Fail .

If all boards pass test, please contact Sonometrics for possible repairs at Support@sonometrics.com.


Data Convert

Data Convert is used to compress segment files (exp.001 format) into binary format for viewing and processing.

Data Convert should not require any interaction by the user once started. If however Data Convert is experiencing problems please select from the following:

  1. An error message is given.
  2. Convert does not run.
  3. Files are not converted. (no raw binary files, ??b present)

For an overview of how Data Convert works, please go to Data Conversion Explanation .


Data Conversion Explanation

Data Convert is an integral part of data collection. The Data Convert program which compresses segment files saved by SonoLAB into the raw binary format used by all other analysis software.

When files are saved in SonoLAB, the file name and path are saved to a file called Convert.dat in the C:\SonoSOFT\Data directory (or C:\SonoLAB directory in systems running older software programs). This file is used by Data Convert to locate new data segments.

When Data Convert is run successfully, a copy of the file name and path are saved into the Convert.log file. This file is also located in the C:\SonoSOFT\Data directory (C:\SonoLAB for systems running older software) and acts as a log file of all files that have been converted using the system. Once Data Convert has been successfully run, the Convert.dat file is automatically deleted from the system until another data save is started.

If an error has occurred during data conversion, a Convert.err file is created to document the type of error and what files the error was encountered on. This may help determine where a problem occurred.

Note*: 95% of all problems encountered with Data Convert are due to user error. Before proceeding, ensure newly saved data files have not been moved within the computer. If the files have been moved, please return to original directory. If files have been deleted, please restore from recycle bin and run Data Convert again.


Convert Does Not Run.

If convert does not seem to run and only seems to flash by quickly it is possible the convert.dat file is missing. If the raw binary files are not present after convert was attempted it please check for the following:

  1. Open the Convert.log file in Note Pad.
  2. Scroll to the bottom of the file to see the last data set converted. If last converted files are not the last collected please continue. If the files are the last saved, try again to find the raw binary files.
  3. Check the C:\SonoSOFT\Data directory (C:\SonoLAB directory for older software versions) for the Convert.err file. Please look to the last entry in the list. Determine if the error message corresponds to any unconverted files.
  4. Close Convert.err file and look in the C:\SonoSOFT\Data directory. If file exists please open file to see entries to be converted. If no convert.dat file exists a new one will need to be written. Please go to Writing Convert.dat File.
  5. Run Data Convert again to see if any error messages are shown. If files are still not converted please contact Sonometrics customer support at support@sonometrics.com.


Files Are Not Converted.

If the user has run convert with no error messages but raw binary files cannot be found, please go perform the following to find if any errors have occurred.

  1. Open the Convert.log file.
  2. Scroll through listings for the missing data files. If the files are listed in the Convert.log file, they have been successfully converted to raw binary. Please notice path written in Convert.log file and look for the missing files there.
  3. If listing cannot be found in the Convert.log file, please write a new convert.dat file [image] and run Data Convert again.

If problem persists please contact Sonometrics Corporation support at support@sonometrics.com.


Convert Error Message

If an error message is displayed, please select from the following.

  1. Error: No DAT file present.

Are raw data files present in this directory (C:\SonoSOFT\Data\)? y/n

  2. File Already Exists. Overwrite it? (y/n)
  3. Error: 20. (Can't read header file)

Looking for file header *****.hed. This file does not exist or the information in the convert.dat file is wrong.

  4. Error: 501. Can't read from DAT file.
  5. Error: 700. Segment File # ? cannot be found.
  6. Could not read error message.

Note*: 95% of all problems encountered with Data Convert are due to user error. Before proceeding ensure newly saved data files have not been moved within the computer. If the files have been moved, please return to appropriate directory. If files have been deleted, please restore from recycle bin.


Error: No DAT file present.

This error message is a warning to the user that the convert program has no listing of new data files top be converted. If new files are known to exist, please go to Writing a Convert.dat file.


Writing a Convert.dat File

Convert.dat files are a text file which may be written using software such as Note Pad and Word Pad.

  1. Make note of the location of files to be converted. All segment files must be contained on the computer hard drive. File cannot be converted over a network or on another drive i.e. zip drive.
  2. Open a word document and make one entry for every data save as follows.

C:\SonoSOFT\Data\Folder\,Filename,01,02-02-2000,10:49:44

C:\SonoSOFT\Data\Folder\,Filename,02,02-02-2000,10:49:44

Note:* If Date and time are unknown, the entry may be written as:

C:\SonoSOFT\Data\Folder\,Filename,03,Date,Time

C:\SonoSOFT\Data\Folder\,Filename,04,Date,time

  3. A line entry for each data save must be made and all reference to file folders must be accurate.
  4. Save file with the name convert.dat to the C:\SonoSOFT\Data directory (C:\SonoLAB directory for older versions of SonoSOFT). Ensure no extension is saved onto the file by the software. i.e. convert.dat.txt. Such extensions may be viewed in the Properties listing of the file.
  5. Run Data Convert from the SonoSOFT platform.


File Already Exists. Overwrite it? (y/n)

If Data Convert does not completely convert all files, the convert.dat file will not automatically delete. In these cases, when Data Convert is run a second time, all files listed in this convert.dat file will remain and previously converted files maybe overwritten.

This error message only serves, as a warning to the user that previously converted files will be overwritten. The data contained in these files however will not be changed with these new files so it is recommended the user select Y for Yes and overwrite files. If files have been processed in SonoVIEW DOS software, please select no to ensure analyzed files are not overwritten.

To ensure Data Convert runs properly, open sample files from the most recently converted experiments. Once files have been checked, please go to the C:\SonoSOFT\Data directory to ensure the convert.dat file has automatically deleted.


Error: 20. (Can't read header file)

Error: 20 can’t read header file refers the user to a missing .HED file for one of the data saves to be converted. The second line of the error message gives the name of the .HED file that is missing. The missing file may have simply been moved or possibly deleted.

Please perform the following to locate the missing file.

  1. Note missing .HED file name and search computer using Find feature.
  2. If file is found, save it back to proper directory as with segment files. If file cannot be found rename another .HED file of same size and system configuration with missing file name. Save to appropriate folder and run convert again.
  3. If convert.dat file was accidentally deleted, a new one must be made. Please see Writing a Convert.dat file .
  4. If Data Convert does not run or gives error messages please go back to Data Convert.


Error: 501. Can't read from DAT file.

If Data Convert cannot locate or has problems reading the Convert.dat file, the Error 501 message may be seen. To test this please perform the following:

  1. Go to the C:\SonoSOFT\Data file folder and locate the convert.dat file.
  2. If no convert.dat file is present one will need to be written. Please go to Writing a Convert.dat file.
  3. Make sure the convert.dat file is saved and does not have a hidden file extension i.e. Convert.dat.txt. This may be verified using the file properties.
  4. If convert.dat file is present please open file in Word Pad format to make sure all line entries are in proper format. For proper format please go to Writing and Convert.dat File.
  5. Resave and run Data Convert again.
  6. If Data Convert still gives error 501, rewrite the convert.dat file and delete existing file.


Error: 700. Segment File # ? cannot be found.

If segment files have been moved or deleted, Data Convert will give an Error 700 message. Please perform the following to solve the problem:

  1. Go to the C:\SonoSOFT\Data file folder and locate the convert.dat file.
  2. Open convert.dat file in Note Pad and note the file name in the first line.
  3. Use the Find File option to search computer for files with the same file name. Do not include segment number (i.e. .001, .002) in search.
  4. When files are located, replace back to proper directory as listed by convert.dat file.
  5. Run Data Convert again.

If file segments cannot be found the user may have to manipulate the convert.dat file to delete the entry and allow the other files to convert properly. Delete the lines of missing data saves and resave the Convert.dat file.


Could Not Read Error Message.

In some cases the error message may pass so quickly the user may not be able to read it. In these cases where files are known not to convert properly, please rewrite the Convert.dat file [image] and attempt the Data Conversion again. Commonly this will solve the problem.


Acquisition: How Do I. . . .

The following section deals with common questions for SonoLAB. Please select from the following:

  1. Change file name, folder number, index.

  2. Change crystal pairs.
  3. Change system settings on display page (i.e. Sampling Rate, Inhibit Delay).
  4. Save Data.
  5. Turn Channels On and Off [image] ( crystal and ADC)
  6. Set up XY plot.
  7. Calibrate and name ADC channels.
  8. Set up DAC channels.
  9. Get real time volume and derivative calculations.
  10. Achieve higher Sampling Rates.
  11. Suggested SonoLAB Settings.

  12. Link to other software programs.

  13. Creating a SonoLAB configuration file.

  14. Optimizing SonoLAB data Acquisition

  15. Setting up Real Time Volume and Derivatives


Setting File Names

By default, SonoLAB will save data files to the C:\SonoSOFT\Data directory. Also by default a folder will be created using the date to save the data into. The path for data saving can easily be changed to any directory. For labs with multiple projects using the same machine, personalized folders may help if organization.

The default file name will also be the date unless changed. SonoLAB will also keep a running total or index number of data saves to assist in chronologically ordering the files from first data save (index number 1) to the last (index number no higher than 99). The index number will automatically update itself with each data save.

To change any file saving attributes:

  1. From the SonoLAB Main Menu, select option #1. File Names and Directory Locations.
  2. To change file name from default select #1 Experiment Name for Data Saving. Beside this option the current name will be shown.
  3. SonoLAB will prompt for a new file to be typed in and press enter. Note*: file name should not be more than 6 characters with no extensions.
  4. When a new file name has been entered the index number should return to 1 (first file). If the user would like to select another index number select option#2 from the File and Directory Set Up Menu and enter the number.
  5. To change the file folder data will be saved to, choose option #3 from the File Name and Directory Set Up menu. Enter the path when prompted. Note*: path must have full information including drive name, i.e. C:\Data\File name.
  6. Once finished select Escape (Esc) to return to main menu.


Activating TRX and ADC Channels

Dependant on the type of system purchased the user may have between 4 and 32 crystal channels along with 4 to 16 ADC channels. SonoLAB will allow the use to turn on channels dependant on hardware available. To activate channels or remove:

  1. From SonoLAB Main Menu go to option #2 System Configuration.
  2. Notice the green arrow, probably located in the upper left corner of listings.
  3. Red column lists transmitters, blue column lists receivers and green column are ADC channels. Select channel to be turned on/off using the arrow keys to move the green arrow.
  4. To turn channel on/off press the space bar.
  5. For ADC channels, it may be Saving and Displaying (S/D), Save to save channel but not display, or Off.

Note*: in new software releases at the bottom of the ADC list are two lines named LVV and dp/dt. These are new feature of SonoLAB allowing the user to view real time calculations. The channels and calculations will not be saved to the data file.


Changing Crystal Pairs.

Since all crystals can send and receive signals the possible crystal combinations can become very large. For these reasons it is strongly suggested the user take a few moments to customize the display screen to view the most important traces. Please make notes of crystal pairs to view of display screen and:

  1. Notice a * symbol between 2 crystal pairs listed down the right side of the screen. This indicates the crystal combination to be changed.
  2. Move the * using the Home and End keyboard buttons to combination to be changed.
  3. Change Transmitter number using the Insert and Delete keys.
  4. To make all Transmitter numbers to same, use the F1 and F2 keys. F1 will set all transmitter numbers to 1. Press F1 again to move to transmitter number 2 on all channels and so on.
  5. Crystal combination set up should remain as set next time SonoLAB is started.

Note*: Only the Transmitter number can be changed. Receiver numbers are constant.


Changing System Settings

In the Data Display Screen #1 (option 3 from SonoLAB Main Menu) system specifics may be set like Sampling Rate, Transmit Pulse, ect. For suggested settings for these options please go to SonoLAB Settings [image] .

To change these settings:

  1. at the top of the screen locate the red dot to the right of the setting name. This will indicate the setting to be changed.
  2. To move the red dot, use the arrow keys on the keyboard.
  3. Change the numerical setting using the Page Up and Page Down keys. New settings will take effect immediately though it may take a full screen pass for the results to be visible.
  4. These settings will be automatically saved upon exiting SonoLAB.


Calibrating ADC Channels

Calibration of ADC channels in SonoLAB has been simplified. Please follow the following to calibrate and name ADC channels.

  1. From the SonoLAB Main Menu select option #5 Analog Channel Set up Menu.

  2. To the upper left side of the display screen look for a yellow arrow used to indicate the entry to change. Move the arrow to the field to be updated using the arrow keys.

  3. To name a channel move the yellow arrow to the Descriptions column and press enter. Type the name and press enter and move to next channel to name.

  4. To calibrate, place yellow arrow in any column of the channel to be calibrated. Press F1 key.

  5. To indicate type of calibration select:

        1. 1. Based on 2 unique user defined values if a know value can be monitored by the analog equipment. (i.e. gain settings may be changed) Set the analog system to zero and press any key to take a sample. When prompted type 0 and press enter. Reset analog system to a different known value and press any key again. When prompted enter the value of the new signal.

        2. 2. Based on Signal minimum and maximum may be used if the values of the trace are known at maximum and minimum. Press any key to take a sample of the signal. When prompted enter the minimum value and maximum value.

  6. Upon completion, the offset and slope columns for each trace will be seen in the appropriate cells.

  7. Calibration values may be saved to a file for late use by pressing F3 Save Defalut.cal file.

  8. Defalut.cal file may be used at any time by pressing F4 key.

  9. If multiple calibration files are to be saved, name customization may be performed using specified names. If default.cal file exists, when F3 is pressed a prompt to overwrite existing file will appear. Select N for No and enter new name. To use different calibration file, press F4 to Load Defalut.cal file. When prompted to use that file name select N for No. a new window will open allowing the user to type a different name.

Note*: The user may enter offset and slope values in place of calibration procedures. Position arrow in appropriate column and line and press enter. Type known value and press enter. Value will now be updated.


Saving Data.

SonoLAB gives the user a choice of 3 different types of data saves.

  1. Saving for one screen pass (F10): When F10 is pressed the software will begin saving and stop setting after one full screen pass as determined by the Display Time (see Changing System Settings [image] )

  2. Unlimited Data Saving (F9): F9 begins a data save which may be Unlimited or set to a specific time value other than the Display Time. To activate Unlimited or Set Time

    1. go to #6 Other Options from the SonoLAB Main Menu.

    2. See option # 7 Time Limit for Extended Data Saving to view current setting.

    3. To change to Unlimited, press 7. when prompted to enter a time value press enter again leaving the entry blank. This will change setting automatically.

    4. To enter a specific value, select option #7. A prompt for a time length in seconds will come up. Enter value here and press Enter.

    5. When F9 is pressed from Display Screens, the length of data save will depend on this entry.

    6. To stop data saves press F9 or F10.

  3. Interval Data Saving (F7): allows the user to set the saving duration and an interval between data saves. I.e. save for 30 seconds every 5 minutes. To activate this feature:

    1. Go to #6 Other Options from the SonoLAB Main Menu.

    2. Look at option #’s 9 and A. these will set the specifics.

    3. Press 9 and set the time between data saves.

    4. Press A and set the time length of each data saves.

    5. Escape and go back to display screen. To begin Interval Data Saving, press F7. to stop Interval Data Saving, press F8.

Note*: system will ask to save file, discard or annotate file. If Save File is chosen, DO NOT attempt to delete any files or segment files until Data Convert has been run.


Setting Up DAC Channels.

To send dimension traces to an acquisition system the DAC must be properly configured for appropriate crystal pairs on appropriate channels.

  1. From the SonoLAB Main Menu, select option #6 Other Options.
  2. Select #2 Configure DAC Output.
  3. Select the channel number to be changed and enter the transmitting crystals number followed by the receiving crystal number.


XY Plot

SonoLAB supplies the user with the ability to view data as an XY plot of 2 channels, dimension or analog. To set up and view the XYZ plot:

  1. From the SonoLAB Main Menu select option #6 Other Options.

  2. Select option #1, Configure XY Plot Display.

  3. Options 1 and 2 allow the user to select a analog channel or crystal pair as the X Axis.

      1. Analog signal as X axis: select #1 Define X axis as an Analog Channel. Select the channel to be used from the list shown and press enter.

      2. Crystal pair as X axis: select #2 Define X axis as a Dimension. Enter the transmitting crystal number and press enter followed by the receiver number and enter. Ensure the pair chosen gives a relatively clean trace.

  4. Options 3 and 4 allow the user to select an analog channel or a crystal pair as the Y-Axis.

      1. Analog signal as Y axis: select #3 Define Y axis as an Analog Channel. Select the channel to be used from the list shown and press enter.

      2. Crystal pair as Y axis: select #4 Define Y axis as a Dimension. Enter the transmitting crystal number and press enter followed by the receiver number and enter. Ensure the pair chosen gives a relatively clean trace.

  5. exit from Other Options menu to return to SonoLAB Mail Menu. Select option #4 Display Screen 2 (2 selected XY plot) and view the traces.

  6. To alter scale settings press escape to return to SonoLAB Main Menu. Select option #6 Other Options and go to #1 Configure XY Plot Display. Alter upper and lower limits using options 5-8.

  7. All Data Saving [image] features and Setting Changes [image] will operate in this display window as they do in Display Screen 1.


Achieve higher Sampling Rates.

The highest possible sampling rate of a system is determined by the number of channels the system has. If a higher sampling rate is acquired and not all crystals are currently in use, a second SonoLAB software can be made allowing for the higher levels. To create a new SonoLAB configuration:

  1. From the SonoSOFT Platform, open the File drop menu and select Add.
  2. The Add Ins Software menu will appear. Please enter the following as below.

Menu Text: SonoLAB 4

Command Line: C:\SonoSOFT\DOS\SonoLAB.exe SonoLAB4.cfg

Working Directory: C:\SonoSOFT\DOS

  3. Press OK and go back to File Drop menu.
  4. Select New Data Acquire and select the new SonoLAB created.
  5. SonoLAB will open and prompt the user to enter the system specifics needed. Please remember the number of crystal channels activated determines the upper limit of the Sampling Rate.
  6. Once completed, SonoLAB will begin normally. The user can then change all settings as required.


Extension Interface

Links to other software programs or new SonoLAB configurations may be made on the SonoSOFT platform. From the File drop menu located in the upper left corner allows the user to add new software links and remove links (see Figure 1). Software may include other configurations of SonoLAB for higher sampling rates, Excel (if available on system) or any other software programs.

Figure 1: Add and Remove Menu from SonoSOFT Platform

Extension Interface for Acquisition Programs

As an example, to install other configurations of SonoLAB the user must select Add from the File drop menu. The Add In Software window will appear ( Figure 2 ) to type proper software locations and possible configurations. For an example of proper text for installing other SonoLAB software please see figure below.

Figure 2: Text to Add Different SonoLAB Configuration.


SonoLAB Configuration

Creating a SonoLAB configuration file

When you enter the LAB program for the first time after installing SonoSOFT 3.1.3 it will ask a few questions if you do not have an existing SonoLAB.cnf file. The questions include:

1.your customer number

2.number of TRX (crystal) channels

3.number of A/D (analog) channels

4.if you have a DAC (digital to analog converter, used for customers who need an analog output of all acquired data).

5.what resolution the user has, High resolution is 100MHz or 15 um, low resolution is 64 MHz or 24 um.

This information can be found on a sticker on your CD case. Please email support@sonometrics.com if you do not have this information.

The following is for advanced users only, this application is used when a reduced number of crystal channels in a configuration file is critical for the user. To create other SonoLAB configuration files, (see Extension Interface ) to create the name of the new configuration file, then as you enter this new name it will ask the questions above to create the input for the configuration file.


Optimizing SonoLAB data Acquisition

Q: I have a sonomicrometer system with more than 4 TRX channels. How can I use the system to acquire data from fewer crystals, and do it faster (i.e. higher sampling rate) and with less raw data saved?

A: When a Sonometrics sono system is shipped with a computer, the Sonolab software is pre-installed and configured to match the number of channels your system has. If you ordered a system with 8 TRX channels, then naturally you can activate and save data from all 8 channels in Sonolab. That also means when Sonolab is saving data, it saves data from ALL TRX channel combinations (in the raw data format) even if you turn some TRX channels off. For systems with many TRX channels (16, 24, 32, etc) that means Sonolab saves a lot of raw data, and that's ok if you're always using the maximum number of crystals your system is capable of. But if there are times when you are using only half the crystals (or less) than you can optimize Sonolab so that it only saves the raw data that it really has to.

To perform this function, see section 5 of the Sonosoft manual. In that section, you will create an alternate Sonolab setup file using fewer TRX channels.

For example, you may have a 12-channel TRX system, but wish to use only 4 crystals for a given experiment. So you will create a 4-TRX-configuration file. When Sonolab runs with this file, it will only save the raw data from TRX crystals 1, 2, 3 and 4. It will not allow you to turn on any other TRX channels. In this condition, Sonolab will save the equivalent of (4 x 4) = 16 TRX channels, instead of (12 x 12) = 144 TRX channels. This is a data reduction of a factor of 9. By reducing the amount of raw data saved, Sonolab can save data reliably at much higher sampling rates. There is also a reduction in the number of raw data files saved, because there is more data saved in each individual raw segment file.

When selecting an alternate TRX configuration, keep to multiples of 4 channels. Use the following table as a guide:

TRX Channels A/D channels

4 4

4 8

4 16

8 4

8 8

8 12

8 16

12 4

12 8

12 16

16 4

16 8

16 16

Whenever you enter a combination of TRX and A/D channels, Sonolab searches for its equivalent driver file. If that driver file does not exist, you will get an error message. A driver file exists for the combinations in the above table, as well as others that are not listed in that table. If you get this error, please try inputting the configuration again, if you still get this error contact support@sonometrics.com


Real Time Volume and Derivatives

Sonometrics has included the option to view Left Ventricular volume (LV_V) as channel 17 and dP/dt (derivative of Pressure) as channel 18 in real time as you acquire your data. This data is NOT saved since further filtering is required to have better traces, you only have the option to Disp – display it. We have included this real time option to help our customers improve there acquisition ability.

With the latest release of SonoLAB, all users are able to view real time volume traces and real time derivative traces of selected analog channels. To access these features the user must have SonoSOFT version 3.1.2.

  1. From the SonoLAB Main Menu go to #5 Analog Channel Set up Menu.

  2. Notice channels 17 and 18, volume and derivative. Move yellow arrow using the arrow keys to the Slope column and press enter
  3. Select from the list shown below the chart for the formula to calculate volume or the channel to calculate derivative of.
  4. Once formula is selected, escape from Analog Set Up Menu back the SonoLAB Main Menu. Select #2 Channel Set Up Menu.
  5. Notice the last two entries of the ADC column (green) and ensure real time calculation channels are set to display to view on the screen.

Other sections dealing with Real Time Volume and Derivatives:

  1. Setting the Formula for Left Ventricular Volume

  2. Setting the Analog Channel for Derivatives


Setting the Formula for LV_V

To choose the formula used to calculate the real time Left Ventricular Volume (LV_V), move the arrow to under Slope to Formula 0 on channel 17 and hit enter as shown in Figure 1. Once the user has chosen a preferred equation, for example equation 1, then Formula 1 will appear under Slope for channel 17.

Figure 1: Real Time LV Volume


Setting the Analog Channel for Derivatives

To choose the analog channel (A/D) that will be used to calculate the derivative of dP/dt, move the arrow to ‘AD Chn 0’ under Slope and hit enter. The screen as in Figure 1 will appear and ask for the analog channel the user wants to calculate the derivative of, enter the number of the channel as shown in A/D Chn column.

Note: The position column displays the number the channels will be displayed as in the Data display screen.

Figure 1: Real Time dP/dt


Links to other software programs or new SonoLAB configurations may bemade on the SonoSOFT platform

Links to other software programs or new SonoLAB configurations may be made on the SonoSOFT platform. From the File drop menu located in the upper left corner allows the user to add new software links and remove links (see Figure 10). Software may include other configurations of SonoLAB for higher sampling rates, Excel (if available on system) or any other software programs.

Figure 10: Add and Remove Menu from SonoSOFT Platform

Extension Interface for Acquisition Programs

As an example, to install other configurations of SonoLAB the user must select Add from the File drop menu. The Add In Software window will appear ( Figure 11 ) to type proper software locations and possible configurations. For an example of proper text for installing other SonoLAB software please see figure below.